metaHTML

# Class: htmlElement

Source Location: /lib/html.inc

### Class Overview

Represents a HTML element.

#### Author(s):

### Variables

- $alignment
- $colspan
- $rowspan

### Constants

- ALIGN_BOTTOM
- ALIGN_CENTER
- ALIGN_LEFT
- ALIGN_RIGHT
- ALIGN_TOP
- VALIDATE_NUMERIC

### Methods

- generateHTML
- getAlignmentString
- getColspanString
- getRowspanString

### Child classes:

htmlTable
  Structures elements using a table.

htmlTableRow
  A row inside a htmlTable.

htmlInputField
  A standard input field.

htmlHelpLink
  Renders a help link.

htmlButton
  Simple button.

htmlSelect
  Represents a select box.

htmlRadio
  Represents a radio selection.

htmlOutputText
  Prints the text and escapes contained HTML code by default.

htmlInputCheckbox
  Prints the HTML code for a checkbox.

htmlInputFileUpload
  Prints the HTML code for a file upload field.

htmlInputTextarea
  Prints the HTML code for a textarea.

htmlImage
  Prints the HTML code for an image.

htmlSpacer
  Adds an empty space with given width and height.

htmlStatusMessage
  Prints a status message (e.g. error message).

htmlFieldset
  Generates a fieldset.

htmlTitle
  Generates a title line. This is used for page titles.

htmlSubTitle
  Generates a subtitle line. This is used to group multiple fields.

htmlHiddenInput
  Generates a hidden input field.

htmlLink
  Generates a link.

htmlGroup
  Groups multiple htmlElements.

htmlHorizontalLine
  Prints a horizontal line.

### Class Details

[line 37]
Represents a HTML element.

This is used to build HTML code by using objects.

#### Tags:

abstract: |

[ Top ]

### Class Variables

#### $alignment = null

[line 54]

alignment when inside a table

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $colspan = null

[line 56]

colspan if inside a table

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $rowspan = null

[line 58]

rowspan if inside a table

#### Tags:

access: | public

Type: | mixed

[ Top ]

### Class Methods

### method generateHTML [line 71]

`array generateHTML( string $module, array $input, array $values, boolean $restricted, &$tabindex, string $scope, integer $tabindex)`

Prints the HTML code for this element.

#### Tags:

return: | List of input field names and their type (name => type)
abstract: |

Overridden in child classes as:

htmlTable::generateHTML()
  Prints the HTML code for this element.

htmlTableRow::generateHTML()
  Prints the HTML code for this element.

htmlInputField::generateHTML()
  Prints the HTML code for this element.

htmlTableExtendedInputField::generateHTML()
  Prints the HTML code for this element.

htmlHelpLink::generateHTML()
  Prints the HTML code for this element.

htmlButton::generateHTML()
  Prints the HTML code for this element.

htmlSelect::generateHTML()
  Prints the HTML code for this element.

htmlTableExtendedSelect::generateHTML()
  Prints the HTML code for this element.

htmlRadio::generateHTML()
  Prints the HTML code for this element.

htmlTableExtendedRadio::generateHTML()
  Prints the HTML code for this element.

htmlOutputText::generateHTML()
  Prints the HTML code for this element.

htmlInputCheckbox::generateHTML()
  Prints the HTML code for this element.

htmlTableExtendedInputCheckbox::generateHTML()
  Prints the HTML code for this element.

htmlInputFileUpload::generateHTML()
  Prints the HTML code for this element.

htmlTableExtendedInputFileUpload::generateHTML()
  Prints the HTML code for this element.

htmlInputTextarea::generateHTML()
  Prints the HTML code for this element.

htmlTableExtendedInputTextarea::generateHTML()
  Prints the HTML code for this element.

htmlImage::generateHTML()
  Prints the HTML code for this element.

htmlSpacer::generateHTML()
  Prints the HTML code for this element.

htmlStatusMessage::generateHTML()
  Prints the HTML code for this element.

htmlFieldset::generateHTML()
  Prints the HTML code for this element.

htmlTitle::generateHTML()
  Prints the HTML code for this element.

htmlSubTitle::generateHTML()
  Prints the HTML code for this element.

htmlHiddenInput::generateHTML()
  Prints the HTML code for this element.

htmlLink::generateHTML()
  Prints the HTML code for this element.

htmlGroup::generateHTML()
  Prints the HTML code for this element.

htmlHorizontalLine::generateHTML()
  Prints the HTML code for this element.

#### Parameters:

string | $module | Name of account module
array | $input | List of meta-HTML elements
array | $values | List of values which override the defaults in $input (name => value)
boolean | $restricted | If true then no buttons will be displayed
integer | $tabindex | Start value of tabulator index for input fields
string | $scope | Account type
| &$tabindex |

[ Top ]

### method getAlignmentString [line 78]

`String getAlignmentString( )`

Returns the HTML attributes for the alignment.

#### Tags:

return: | alignment HTML attributes (e.g. align="right" valign="top")
access: | public

[ Top ]

### method getColspanString [line 107]

`String getColspanString( )`

Returns the HTML attribute for the colspan.

#### Tags:

return: | colspan HTML attribute (e.g. colspan=3)
access: | public

[ Top ]

### method getRowspanString [line 119]

`String getRowspanString( )`

Returns the HTML attribute for the rowspan.

#### Tags:

return: | rowspan HTML attribute (e.g. rowspan=3)
access: | public

[ Top ]

### Class Constants

#### ALIGN_BOTTOM = 3

[line 46]

align to bottom
[ Top ]

#### ALIGN_CENTER = 4

[line 48]

align to center
[ Top ]

#### ALIGN_LEFT = 1

[line 42]

align to left
[ Top ]

#### ALIGN_RIGHT = 2

[line 44]

align to right
[ Top ]

#### ALIGN_TOP = 0

[line 40]

align to top
[ Top ]

#### VALIDATE_NUMERIC = 'numeric'

[line 51]

validation rule to allow only numbers ([0-9]+)
[ Top ]

Documentation generated on Tue, 22 Nov 2011 16:29:46 +0100 by phpDocumentor 1.4.1